%define oname	vdpau-video

Name:		vaapi-driver-vdpau
Summary:	VA-API driver for VDPAU interface
Group:		Video
Version:	0.7.3
Release:	%mkrel 1
License:	GPLv2+
URL:		http://www.splitted-desktop.com/~gbeauchesne/vdpau-video/
Source0:		http://www.splitted-desktop.com/~gbeauchesne/vdpau-video/%{oname}-%{version}.tar.gz
# fix build with recent mesa (not a technically correct fix):
BuildRequires:	libva-devel
BuildRequires:	vdpau-devel
Provides:	%oname

%description
VDPAU driver backend for VA API, a video acceleration API.

%prep
%setup -qn %oname-%version

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std
rm -f %{buildroot}%{_libdir}/va/drivers/*.la

%files
%doc AUTHORS NEWS
%{_libdir}/va/drivers/*_drv_video.so


%changelog
* Fri Nov 04 2011 Alexander Khrukin <akhrukin@mandriva.org> 0.7.3-1
+ Revision: 717683
- name fix in spec
- mkrel fix
- on home system it was built correctly but on BS not
- patch0 in spec removed
- version update to upstream release spec fixes removed not needed patch

  + José Melo <ze@mandriva.org>
    - clean defattr and section clean
    - remove useless macros
    - clean mkrel

* Wed Nov 17 2010 Anssi Hannula <anssi@mandriva.org> 0.7.2-1mdv2011.0
+ Revision: 598479
- new version
- fix build with current mesa (mesa.patch)

* Mon Jul 19 2010 Anssi Hannula <anssi@mandriva.org> 0.6.10-3mdv2011.0
+ Revision: 555025
- rebuild for new libva

* Tue Jul 13 2010 Anssi Hannula <anssi@mandriva.org> 0.6.10-2mdv2011.0
+ Revision: 551466
- add provides on  vdpau-video

* Tue Jul 13 2010 Anssi Hannula <anssi@mandriva.org> 0.6.10-1mdv2011.0
+ Revision: 551392
- initial Mandriva release

